"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.easyTokensRequest = void 0;
var tslib_1 = require("tslib");
var api_1 = require("../utils/api");
var easyTokensRequest = function (_a) {
    var signature = _a.signature, message = _a.message, chain_name = _a.chain_name, owner_address = _a.owner_address, coin_address = _a.coin_address, token_name = _a.token_name, token_symbol = _a.token_symbol, decimals = _a.decimals, logo = _a.logo, description = _a.description, website = _a.website, gasless = _a.gasless, can_mint = _a.can_mint, can_burn = _a.can_burn, is_mainnet = _a.is_mainnet;
    return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var formData, data, error_1;
        return tslib_1.__generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    formData = new FormData();
                    formData.append("public_key", owner_address);
                    formData.append("signature", signature);
                    formData.append("message", message);
                    formData.append("easy_token[chain_name]", chain_name);
                    formData.append("easy_token[chain_id]", is_mainnet ? "mainnet" : "testnet");
                    formData.append("easy_token[owner_address]", owner_address);
                    formData.append("easy_token[coin_address]", coin_address);
                    formData.append("easy_token[token_name]", token_name);
                    formData.append("easy_token[token_symbol]", token_symbol);
                    formData.append("easy_token[decimals]", decimals);
                    formData.append("easy_token[logo]", new Blob([logo]), logo.name);
                    formData.append("easy_token[description]", description);
                    formData.append("easy_token[website]", website);
                    formData.append("easy_token[can_mint]", can_mint.toString());
                    formData.append("easy_token[can_burn]", can_burn.toString());
                    if (gasless)
                        formData.append("easy_token[gasless]", "true");
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, api_1.api.post("/easy_tokens", formData, {
                            headers: {
                                "Content-Type": "multipart/form-data",
                            },
                        })];
                case 2:
                    data = (_b.sent()).data;
                    return [2 /*return*/, data];
                case 3:
                    error_1 = _b.sent();
                    console.error(error_1);
                    return [2 /*return*/, { error: error_1 }];
                case 4: return [2 /*return*/];
            }
        });
    });
};
exports.easyTokensRequest = easyTokensRequest;
//# sourceMappingURL=easyTokens.js.map