"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var wallet_adapter_react_1 = require("@renec-foundation/wallet-adapter-react");
var wallet_adapter_react_2 = require("@solana/wallet-adapter-react");
var hooks_1 = require("../hooks");
var Demo = function () {
    var wallet = (0, wallet_adapter_react_2.useWallet)();
    var connection = (0, wallet_adapter_react_2.useConnection)().connection;
    var _a = (0, hooks_1.useEasyToken)(wallet, connection, "en"), initializerToken = _a.initializerToken, mintToken = _a.mintToken;
    var handleInitToken = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var data, initResult;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    data = {
                        chainName: "renec",
                        tokenName: "TEST",
                        tokenSymbol: "TEST",
                        description: "Test Token",
                        destinationAddress: "7tebQ6zbBXdNBfjpXDpBb5j4PYEju9rgnxQmE9oG38BL",
                        logo: null,
                        previewUrl: "https://picsum.photos/200/300",
                        website: "https://example.com",
                        supply: 1000000,
                        decimals: 9,
                        canMint: true,
                    };
                    return [4 /*yield*/, initializerToken({ data: data, isMainnet: true })];
                case 1:
                    initResult = _a.sent();
                    if (initResult.txSucceeded) {
                        // ... do something when succeeded
                    }
                    else {
                        // ... handle error to display in your UI
                        // the errors could be
                    }
                    return [2 /*return*/];
            }
        });
    }); };
    var handleMintToken = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var mintAccountAddress, decimals, amount, mintResult;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    mintAccountAddress = "7tebQ6zbBXdNBfjpXDpBb5j4PYEju9rgnxQmE9oG38BL";
                    decimals = 9;
                    amount = 1000;
                    return [4 /*yield*/, mintToken({
                            mintAccountAddress: mintAccountAddress,
                            decimals: decimals,
                            amount: amount,
                        })];
                case 1:
                    mintResult = _a.sent();
                    if (mintResult.txSucceeded) {
                        // ... do something when succeeded
                    }
                    else {
                        // ... handle error in your UI
                    }
                    return [2 /*return*/];
            }
        });
    }); };
    return ((0, jsx_runtime_1.jsxs)(wallet_adapter_react_1.Provider, { isMainnet: true, autoConnect: true, children: [(0, jsx_runtime_1.jsx)(wallet_adapter_react_1.WalletMultiButton, {}), (0, jsx_runtime_1.jsx)("button", { onClick: handleInitToken, children: "Init Token" }), (0, jsx_runtime_1.jsx)("button", { onClick: handleMintToken, children: "Mint Token" })] }));
};
exports.default = Demo;
//# sourceMappingURL=demo.js.map