export type CreateToken = InfoScreenData & setupScreenData & addressScreenData;
export type initializerTokenResult = {
    txSucceeded: boolean;
    tx?: string;
    mintAccount?: string;
    mintBlock?: number;
    error?: any;
    lastValidBlockHeight?: number;
};
export type signMessageResult = {
    txSucceeded: boolean;
    error?: any;
    signedMessageBase58?: string;
};
export type MintData = {
    mintAccountAddress: string;
    amount: number;
    decimals: number;
};
export type InfoScreenData = {
    chainName: string;
    tokenName: string;
    tokenSymbol: string;
    description: string;
    logo: File | null;
    previewUrl?: string;
    website?: string;
};
export type setupScreenData = {
    supply: number;
    decimals: number;
    canMint: boolean;
};
export type addressScreenData = {
    destinationAddress: string;
};
export type setupCreateToken = {
    data: CreateToken;
    isMainnet: boolean;
};
export type Trans = "en" | "vi";
